Subject: bug#59347: 29.0.50; `:family` face setting ignored

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Dec 2022 16:49:21 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 08 Dec 2022 09:17:12 -0500
> 
> > How would you determine the order in the stack?  IOW, which attributes
> > will be "the first"?
> 
> For attributes specified directly in a face the relative order is not
> specified, but attributes directly specified would come before
> inherited attributes, and similarly when we merge several faces,
> attributes from the first face would come before those of later faces.

I'm not sure this will give correct results, especially in the
merge-face case: in many cases the faces being merged are of equal
"importance".